# intl_get_error_code

(PHP 5 >= 5.3.0, PHP 7, PECL intl >= 1.0.0)

intl_get_error_code — Get the last error code

### Description

intl_get_error_code ( void ) : int

Useful to handle errors occurred in static methods when there's no object to get error code from.

### Return Values

Error code returned by the last API function call.

### Examples

Example #1 intl_get_error_code() example

`<?php
$coll = collator_create( '<bad_param>' );
if( !$coll ) {
handle_error( intl_get_error_code() );
}
?>`

### See Also

- intl_is_failure() - Check whether the given error code indicates failure
- intl_error_name() - Get symbolic name for a given error code
- intl_get_error_message() - Get description of the last error
- collator_get_error_code() - Get collator's last error code
- numfmt_get_error_code() - Get formatter's last error code